Bug 174278 - Review Request: tcldom - XML DOM bindings for Tcl
Review Request: tcldom - XML DOM bindings for Tcl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://tclxml.sourceforge.net/
:
Depends On: 169754
Blocks: FE-ACCEPT 175463
  Show dependency treegraph
 
Reported: 2005-11-27 02:00 EST by Wart
Modified: 2008-06-20 11:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-17 01:41:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wart 2005-11-27 02:00:55 EST
Spec Name or Url: http://www.kobold.org/~wart/fedora/tcldom.spec
SRPM Name or Url: http://www.kobold.org/~wart/fedora/tcldom-3.0-2.src.rpm
Description: 

tcldom provides DOM bindings for the Tcl scripting language.  It provides DOM processing based on either a pure-tcl implemention or using the gnome libxml2 library.
Comment 2 John Mahowald 2005-12-13 16:46:50 EST
- package meets naming guidelines
- package meets packaging guidelines
- license (BSD) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

- devel package ok
- devel requires base package n-v-r 

However,
- Have you tested this on 64 bit? %{_libdir} may prove problematic
- BuildRoot should be cleaned at the beginning of %install. 
- A bunch of compiler warnings, particularly in tcldomlibxml2.c. Be sure to tell
upstream about this, and show them your patch.
Comment 3 Wart 2005-12-13 18:43:47 EST
My primary development machine is dual x86_64, and I haven't noticed any build
or runtime problems with %{_libdir}.  But I did notice a minor problem loading
the pure-tcl dom library that has been fixed in an updated patch in this next
package.

BuildRoot is now cleaned at the beginning of %install

All patches have been sent upstream, and I've notified the upstream developers
about the compiler warnings.  Upstream doesn't release new packages very often,
so I don't expect to see them adopt the patches anytime soon.

New spec file and src rpm:

http://www.kobold.org/~wart/fedora/tcldom.spec
http://www.kobold.org/~wart/fedora/tcldom-3.1-2.src.rpm
Comment 4 John Mahowald 2005-12-14 21:40:50 EST
Looks good.

APPROVED
Comment 5 Wart 2005-12-17 01:41:51 EST
Many thanks for the review!
Comment 6 Wart 2008-06-20 08:09:53 EDT
Package Change Request
======================
Package Name: tcldom
New Branches: EL-4 EL-5
Comment 7 Kevin Fenzi 2008-06-20 11:20:22 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.